Package org.apache.storm.sql.kafka

# Class KafkaDataSourcesProvider

java.lang.Object
org.apache.storm.sql.kafka.KafkaDataSourcesProvider

All Implemented Interfaces:
  `DataSourcesProvider`

public class KafkaDataSourcesProvider extends Object implements DataSourcesProvider
Create a Kafka spout/sink based on the URI and properties. The URI has the format of kafka://topic?bootstrap-servers=ip:port[,ip:port]. The properties are in JSON format which specifies the producer config of the Kafka broker.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KafkaDataSourcesProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ISqlStreamsDataSource`
  `constructStreams(URI uri, String inputFormatClass, String outputFormatClass, Properties properties, List<FieldInfo> fields)`
  Construct a new data source for streams mode.
  `String`
  `scheme()`
  Get the scheme of the data source.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KafkaDataSourcesProvider

    public KafkaDataSourcesProvider()

- ## Method Details

  - ### scheme

    public String scheme()
    Description copied from interface: `DataSourcesProvider`
    Get the scheme of the data source.
    Specified by:
      `scheme` in interface `DataSourcesProvider`
    Returns:
      the scheme of the data source

  - ### constructStreams

    public ISqlStreamsDataSource constructStreams(URI uri, String inputFormatClass, String outputFormatClass, Properties properties, List<FieldInfo> fields)
    Description copied from interface: `DataSourcesProvider`
    Construct a new data source for streams mode.
    Specified by:
      `constructStreams` in interface `DataSourcesProvider`
    Parameters:
      `uri` - The URI that specifies the data source. The format of the URI is fully customizable.
      `inputFormatClass` - the name of the class that deserializes data. It is null when unspecified.
      `outputFormatClass` - the name of the class that serializes data. It is null when unspecified.
      `fields` - The name of the fields and the schema of the table.